## sysfsutils 2.1.0%2Brepack

=== debian/control ===
Source: sysfsutils
Section: libs
Priority: optional
Maintainer: Guillem Jover <guillem@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.5.1
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/sysfsutils.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/sysfsutils.git
Homepage: http://linux-diag.sourceforge.net/Sysfsutils.html

Package: libsysfs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libsysfs2 (= ${binary:Version}),
Description: interface library to sysfs - development files
 The sysfs is a virtual file system found in Linux kernels 2.5+ that provides
 a tree of system devices. libsysfs provides a stable programming interface
 to sysfs and eases querying system devices and their attributes.
 .
 This package provides everything that is needed for developing programs
 using libsysfs: C headers, a static library, documentation and example
 programs.

Package: libsysfs2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: interface library to sysfs - shared library
 The sysfs is a virtual file system found in Linux kernels 2.5+ that provides
 a tree of system devices. libsysfs provides a stable programming interface
 to sysfs and eases querying system devices and their attributes.
 .
 This package provides the shared library.

Package: sysfsutils
Section: utils
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lsb-base,
 pci.ids,
Description: sysfs query tool and boot-time setup
 The sysfs is a virtual file system found in Linux kernels 2.5+ that provides
 a tree of system devices. This package provides the program 'systool' to
 query it, which can be used to list devices by bus, class, and topology.
 .
 In addition this package ships a configuration file /etc/sysfs.conf which
 allows one to conveniently set sysfs attributes at system bootup (via an
 init script).

Package: libsysfs2-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: interface library to sysfs - shared library
 The sysfs is a virtual file system found in Linux kernels 2.5+ that provides
 a tree of system devices. libsysfs provides a stable programming interface
 to sysfs and eases querying system devices and their attributes.
 .
 This package provides the udeb shared library.
