## sysfsutils 2.1.0+repack

=== debian/changelog ===
sysfsutils (2.1.0+repack-3ubuntu1) trusty; urgency=medium

  * Build with dh-autoreconf for new libtool.

 -- William Grant <wgrant@ubuntu.com>  Mon, 16 Dec 2013 16:12:50 +1100

sysfsutils (2.1.0+repack-3) unstable; urgency=low

  * QA upload.
  * Add init script support for manipulating sysfs using fragments in
    /etc/sysfs.d. (closes: #575459)

 -- Chris Boot <bootc@bootc.net>  Thu, 02 May 2013 17:36:19 +0100

sysfsutils (2.1.0+repack-2) unstable; urgency=low

  * Orphan package.

 -- Martin Pitt <mpitt@debian.org>  Sun, 07 Oct 2012 15:51:14 +0200

sysfsutils (2.1.0+repack-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Support multi-arch: (closes: #663040)
    - Mark libsysfs2 as same.
    - Mark sysfsutils as foreign.
    - Adjust debhelper and cdbs build-dependencies.
    - Fixup -dev installation.

 -- Bastian Blank <waldi@debian.org>  Sat, 16 Jun 2012 17:18:46 +0000

sysfsutils (2.1.0+repack-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/sysfsutils.init:
    - add support for changing permissions of folders too.      closes: #658365
  * debian/control:
    - fix typo in long description.
    - add build-dep on autotools-dev to replace ancient autotools helpers.
    - update standards version to 3.9.3. 

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 01 Jun 2012 09:34:05 +0200

sysfsutils (2.1.0+repack-1) unstable; urgency=low

  * Drop tarball.mk and tar-in-tar packaging and use upstream tarball as
    orig.tar.gz now. This style is obsolete, we have much better tools now.
  * Switch to dh compat 7.
  * Add bzr-builddeb configuration (merge mode).
  * debian/control: Add Vcs-Bzr:.
  * Switch to 3.0 (quilt) source format, drop simple-patchsys.mk.
  * debian/control: Add missing ${misc:Depends}.
  * debian/control: Bump Standards-Version to 3.9.1.
  * debian/sysfsutils.init: Start after cpufrequtils, to make sure that a
    governor is selected and set up. Thanks Mario Holbe! (Closes: #590143)

 -- Martin Pitt <mpitt@debian.org>  Fri, 06 Aug 2010 19:14:59 +0200

sysfsutils (2.1.0-6) unstable; urgency=low

  * debian/sysfsutils.init: Make sure the init.d script runs after udev,
    module-init-tools and loadcpufreq, to avoid trying to set kernel
    parameters for kernel modules not yet loaded. Thanks to Petter
    Reinholdtsen! (Closes: #539755)
  * Bump Standards-Version to 3.8.3 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Sun, 23 Aug 2009 20:05:02 +0200

sysfsutils (2.1.0-5) unstable; urgency=low

  * debian/rules: Fix dh_installinit call to not install stop symlinks. The
    init script does not need to be called on stop. This also makes the
    update-rc.d links consistent to the LSB header "Should-Stop" which insserv
    complained about. (Closes: #497905)
  * debian/libsysfs-dev.doc-base: Fix section name, thanks lintian.
  * debian/control: Bump Standards-Version (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Sat, 06 Sep 2008 10:36:59 +0200

sysfsutils (2.1.0-4) unstable; urgency=low

  * debian/sysfsutils.init: Some attributes in sysfs need a terminating
    newline, some don't, so try both. Thanks to Stefan Monnier for the patch!
    (Closes: #459240, LP: #184783)

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 Apr 2008 16:53:02 +0200

sysfsutils (2.1.0-3) unstable; urgency=low

  * debian/sysfsutils.init: Fix Default-Stop LSB header to not run in any
    level, since 'stop' does not do anything. (Closes: #458272, #427033)
  * debian/sysfsutils.init: Use LSB output commands. (Closes: #457662)
  * debian/sysfsutils.README.Debian: Fix script name. (Closes: #453312)
  * Bump Standards-Version (no changes necessary).
  * debian/control: Replace obsolete ${Source-Version} with ${binary:Version}.
  * debian/rules: Drop pointless rpath from systool binary. Add chrpath build
    dependency.

 -- Martin Pitt <mpitt@debian.org>  Sun, 30 Dec 2007 21:23:06 +0100

sysfsutils (2.1.0-2) unstable; urgency=low

  * Bump libsysfs2 priority to 'important', since pcmciautils depends on it.
  * debian/control: Bump standards version.
  * debian/copyright: Update FSF address.
  * debian/control: Drop the "Provides: libsysfs2" from the udeb, as per
    request from Frans Pop. Closes: #419610
  * debian/sysfsutils.init: Add LSB header.

 -- Martin Pitt <mpitt@debian.org>  Wed, 02 May 2007 23:43:03 +0200

sysfsutils (2.1.0-1) unstable; urgency=low

  * New upstream version. Closes: #385639
    - Add sysfs_open_link_list().
    - Add sysfs_open_device_tree().
    - Add C++ compilation suport.
    - Add subsystem in sysfs_device.
  * Add watch file.
  * debian/sysfs.conf: Consistently use whitespace in examples.
    Closes: #382437
  * Add debian/local/libsysfs.pc: Provide a pkg-config data file and install
    it into libsysfs-dev. Closes: #385742
  * debian/README.Examples: Use pkg-config in build instructions.

 -- Martin Pitt <mpitt@debian.org>  Sun, 29 Oct 2006 18:15:24 +0100

sysfsutils (2.0.0-7) unstable; urgency=low

  * Raise libsysfs{2,-dev} to priority optional, since reverse dependencies
    are optional.

 -- Martin Pitt <mpitt@debian.org>  Fri, 12 May 2006 09:32:20 +0200

sysfsutils (2.0.0-6) unstable; urgency=low

  * debian/rules: Generate shlibs for udev files. Thanks to Frans Pop! 
    Closes: #355965
  * debian/control: Bump debhelper dependency to >= 5.0.22.

 -- Martin Pitt <mpitt@debian.org>  Thu,  9 Mar 2006 08:53:44 +0100

sysfsutils (2.0.0-5) unstable; urgency=medium

  * Urgency medium since this only fixes two RC bugs and libsysfs blocks
    move to testing for other packages.
  * debian/rules: Fix installation of library into the udeb. Closes: #355385
  * Add debian/patches/get_mnt_path_check.patch:
    - sysfs_get_mnt_path(): Check that sysfs is actually mounted and fail if
      not. Fixes behavioural breakage compared to 1.3.
    - Closes: #355540

 -- Martin Pitt <mpitt@debian.org>  Mon,  6 Mar 2006 19:08:56 +0100

sysfsutils (2.0.0-4) unstable; urgency=low

  * Upload to unstable.


