=== debian/control ===
Source: sysfsutils
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8.1.3), cdbs (>= 0.4.93~), chrpath, dh-autoreconf
Standards-Version: 3.9.3

Package: libsysfs-dev
Section: libdevel
Priority: optional
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libsysfs2 (= ${binary:Version})
Description: interface library to sysfs - development files
 Sysfs is a virtual file system in Linux kernel 2.5+ that provides a
 tree of system devices. libsysfs provides a stable programming
 interface to sysfs and eases querying system devices and their
 attributes.
 .
 This package provides everything that is needed for developing own
 programs using libsysfs: C headers, a static library, documentation
 and example programs.

Package: libsysfs2
Architecture: any
Multi-Arch: same
Priority: important
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interface library to sysfs
 Sysfs is a virtual file system in Linux kernel 2.5+ that provides a
 tree of system devices. libsysfs provides a stable programming
 interface to sysfs and eases querying system devices and their
 attributes.
 .
 The package sysfsutils contains frontend programs that use this
 library. Development files and C examples are provided by the package
 libsysfs-dev.

Package: sysfsutils
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sysfs query tool and boot-time setup
 Sysfs is a virtual file system in Linux kernel 2.5+ that provides a
 tree of system devices. This package provides the program 'systool' to query
 it: it can list devices by bus, class, and topology.
 .
 In addition this package ships a configuration file /etc/sysfs.conf which
 allows one to conveniently set sysfs attributes at system bootup (in the init
 script /etc/init.d/sysfsutils).
 .
 If you need sysfs queries in own programs, then you may want to use the
 libsysfs library directly (package libsysfs-dev).

Package: libsysfs2-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interface library to sysfs
 Sysfs is a virtual file system in Linux kernel 2.5+ that provides a
 tree of system devices. libsysfs provides a stable programming
 interface to sysfs and eases querying system devices and their
 attributes.
 .
 This is a minimal package for use in debian-installer.
