=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_CONFIGURE_EXTRA_FLAGS := --libdir=/lib/$(DEB_HOST_MULTIARCH)
DEB_DH_MAKESHLIBS_ARGS_libsysfs2 := --add-udeb="libsysfs2-udeb"
DEB_DH_INSTALLINIT_ARGS := -- start 20 2 3 4 5 .
DEB_DH_AUTORECONF_ARGS = --as-needed autoreconf -- -f -i -I m4

install/libsysfs-dev::
	mkdir -p debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)
	ln -s /lib/$(DEB_HOST_MULTIARCH)/libsysfs.so.2 debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)/libsysfs.so
	cp debian/tmp/lib/*/libsysfs.a debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)

install/libsysfs2-udeb::
	cp -L debian/tmp/lib/*/libsysfs.so.2 debian/$(cdbs_curpkg)/lib

binary-fixup/sysfsutils::
	chrpath -d debian/$(cdbs_curpkg)/usr/bin/*
