=== debian/watch ===
version=3
http://sf.net/linux-diag/ sysfsutils-(.*)\.tar\.gz
