## sysfsutils 2.1.1

=== debian/changelog ===
sysfsutils (2.1.1-7) unstable; urgency=medium

  * Update debian/.gitignore file.
  * Update sysfs.conf(5) to mention that it supports glob wildcards.
  * Generalize man page section computation in debian/rules.
  * Split sysfs update logic into a new update-sysfs(8) script in Perl.
    Closes: #1061590
  * Place copyright years before copyright author in debian/copyright entries.
  * Update copyright holders.
  * Switch to Standards-Version 4.7.2 (no changes needed).
  * Remove now unnecessary dependency on sysvinit-utils, after lsb-base
    transition is over.

 -- Guillem Jover <guillem@debian.org>  Fri, 28 Mar 2025 10:11:56 +0100

sysfsutils (2.1.1-6) unstable; urgency=medium

  * Switch from future=+lfs to abi=+lfs build flags feature, and Build-Depends
    on dpkg-dev >= 1.22.0.
  * Turn function scoped variable into a local in init script.
  * Remove README.Debian, which contains obvious information.
  * Improve examples scaffolding:
    - Provide a stub config.h with constant contents needed by the examples.
    - Provide a VPATH-enabled Makefile to build the examples.
    - Rename README.Examples to README.
    - Rewrite the README.

 -- Guillem Jover <guillem@debian.org>  Thu, 11 Jan 2024 00:16:42 +0100

sysfsutils (2.1.1-5) unstable; urgency=medium

  * Add a systemd service file. Closes: #1016610

 -- Guillem Jover <guillem@debian.org>  Sun, 20 Aug 2023 16:27:05 +0200

sysfsutils (2.1.1-4) unstable; urgency=medium

  * Switch to Standards-Version 4.6.2 (no changes needed).
  * Add source lintian overrides.
  * Do not trim debian/changelog.
  * Make globs in debhelper fragment files more specific.
  * Replace sysfsutils Depends on lsb-base with sysvinit-utils >= 3.05-4~.

 -- Guillem Jover <guillem@debian.org>  Wed, 18 Jan 2023 00:09:23 +0100

sysfsutils (2.1.1-3) unstable; urgency=medium

  * Pass -u to date(1) to make build reproducible again.
    Thanks to Chris Lamb <lamby@debian.org>. Closes: #1017920
  * Remove filenamemangle option from debian/watch.

 -- Guillem Jover <guillem@debian.org>  Mon, 22 Aug 2022 20:40:21 +0200

sysfsutils (2.1.1-2) unstable; urgency=medium

  * Improve init script:
    - Do not use -o and -a for shell test command.
    - Pass -r to read built-in.
    - Use printf instead of undefined «echo -n».
    - Disable shellcheck following sourcing shell library file.
    - Quote directory variable to avoid word-splitting.
  * Add sysfs.conf(5) man page. Closes: #526469
  * Enable LFS build options. This should ABI safe for the shared library as
    it does not expose any problematic type.
  * Switch to Standards-Version 4.6.1 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 16 Aug 2022 14:22:54 +0200

sysfsutils (2.1.1-1) unstable; urgency=medium

  * New upstream release:
    - Update Homepage for github.com project.
    - Update watch file for github.com project.
    - Update upstream copyright years.
    - Remove all patches, merged upstream.
    - Do not install no longer provided NEWS file.
    - Fix over matching in cdev_name_equal(). Closes: #627048
    - Fix symlink canonicalization in sysfs_get_link(). Closes: #481015
  * Fix minimum versions in symbols file for sysfs_close_dev_tree and
    sysfs_read_dir_subdirs, which did not match their actual introduction
    in released tarballs from git history.
  * Remove sysfsutils postinst, unnecessary after bullseye.
  * Add support for the noudeb build profile.

 -- Guillem Jover <guillem@debian.org>  Sat, 28 Aug 2021 02:14:08 +0200

sysfsutils (2.1.0+repack-7) unstable; urgency=medium

  * Switch to debhelper compatibility level 13.
  * Switch to Standards-Version 4.5.1.
  * Fix README.Examples:
    - Use $() instead of `` shell syntax.
    - Remove trailing spaces.
    - Fix «e.g.» spelling and follow it by a «:».
  * Remove trailing whitespace from patch.
  * Add debian/upstream/metadata file.
  * Add Forwarded fields to patches.
  * Install the pkg-config file into a multiarch directory to support
    cross-building.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Dec 2020 18:32:50 +0100

sysfsutils (2.1.0+repack-6) unstable; urgency=medium

  * New maintainer. Closes: #689879
  * Update Vcs fields for move to git.hadrons.org.
  * Remove now unused debian/gbp.conf.
  * Update previous changelog entry with actual changes done.
  * Remove trailing spaces from debian/changelog.
  * Wrap and sort dependency fields.
  * Switch to debhelper compatibility level 12.
    - Remove unnecessary dh_missing override.
  * Switch from debian/compat to debhelper-commpat in Build-Depends.
  * Move Homepage from debian/copyright to debian/control.
  * Switch debian/copyright to the machine readable format 1.0.
  * Switch URL in debian/watch to https.
  * Switch to debian/watch format 4.
  * Add a uversionmangle mapping to debian/watch for «-rc» versions.
  * Add a dversionmangle mapping to debian/watch for «+repackN» versions.
  * Move files to be installed in the filesystem from debian/ to debian/local/.
  * Switch to Standards-Version 4.4.1.
  * Use the correct pathname for pci.ids database.
  * Add a Depends on pci.ids to sysfsutils.
  * Reword package descriptions. Closes: #767679
  * Improve systool(1) man page:
    - Fix typo. Closes: #626615
    - Fix troff markup.
    - End sentences with a full-stop.
    - Use the project name in the .TH source field instead of the author.
    - Remove GNU/Linux from Debian reference.
  * Improve sysfsutils init script:
    - Fix indentation.
    - Fix LSB init output. Closes: #823082
    - Move -e from shebang into a proper «set -e».
    - Inject a trailing newline when parsing sysfs.conf. Closes: #638749
      Thanks to Thue Janus Kristensen <thuejk@gmail.com>.
    - Add a dummy status action. Closes: #832111
      Thanks to Raphaël Halimi <raphael.halimi@gmail.com>.
    - Add glob(7) support in sysfs.conf. Closes: #604737
      Thanks to Alex Sheppard <ams@corefiling.com>.
    - Print an error instead of aborting when we cannot write an attribute

