=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all abi=+lfs
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

include /usr/share/dpkg/pkg-info.mk

MANGEN = pod2man \
	  --utf8 \
	  --section=$(subst .,,$(suffix $@)) \
	  --center=sysfsutils \
	  --name=$(basename $(notdir $<)) \
	  --date=$(shell date -u -d @$(SOURCE_DATE_EPOCH) -I) \
	  --release=$(DEB_VERSION) \
		$< >$@

%.5: %.pod
	$(MANGEN)

%.8: %.pod
	$(MANGEN)

execute_before_dh_auto_build: \
	debian/local/sysfs.conf.5 \
	debian/local/update-sysfs.8 \
	# EOL

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs --no-trim
