=== debian/watch ===
version=4
  https://github.com/linux-ras/sysfsutils/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
